// ignore_for_file: no_leading_underscores_for_local_identifiers

import 'package:acurr_package/src/icon_button.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart' hide ContextExtensionss;

import 'package:acurr_package/src/common/helper.dart';

AppBar appBar({
  bool? canGoBack,
  Color? color,
  Color? iconColor,
  BuildContext? context,
  Function? onBack,
  String? middleTitle,
  Widget? rightWidget,
  GlobalKey<ScaffoldState>? scaffoldKey,
}) {
  final _context = context ?? Get.context!;
  final titleStyle = TextStyle(
    color: _context.theme.appColors.grey950,
    fontSize: scale(16),
    fontWeight: FontWeight.w600,
    height: 24 / 16,
    // overflow: TextOverflow.ellipsis,
  );
  return AppBar(
    backgroundColor: _context.theme.appColors.background,
    surfaceTintColor: Colors.transparent,
    automaticallyImplyLeading: false,
    centerTitle: false,
    titleSpacing: 0,
    toolbarHeight: scale(84),
    title: Container(
      height: scale(84),
      alignment: Alignment.centerLeft,
      padding: EdgeInsets.symmetric(horizontal: scale(24)),
      decoration: BoxDecoration(
        border: Border(
          bottom: BorderSide(color: _context.theme.appColors.grey200, width: scale(1)),
        ),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          (canGoBack == false)
              ? const SizedBox.shrink()
              : IconBorderButton(
                  onPressed: () => onBack != null ? onBack() : Navigator.pop(context ?? Get.context!),
                  imagePath: 'assets/images/common/back.svg',
                ),
          (middleTitle != null)
              ? Expanded(
                  child: Container(
                    padding: EdgeInsets.symmetric(horizontal: scale(8)),
                    alignment: Alignment.center,
                    child: Text(middleTitle, style: titleStyle),
                  ),
                )
              : const SizedBox.shrink(),
          (rightWidget != null) ? rightWidget : SizedBox(width: scale(28)),
        ],
      ),
    ),
  );
}
