import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/material.dart';

class CheckBox extends StatelessWidget {
  final bool value;
  final VoidCallback? onChanged;
  final String? label;
  final TextStyle? style;
  final EdgeInsets? padding;
  final CrossAxisAlignment? crossAxisAlignment;

  const CheckBox({
    super.key,
    required this.value,
    this.onChanged,
    this.label,
    this.style,
    this.padding,
    this.crossAxisAlignment,
  });

  @override
  Widget build(BuildContext context) {
    final labelStyle = TextStyle(
      fontSize: scale(14),
      fontWeight: FontWeight.w400,
      color: context.theme.appColors.grey950,
      height: 1,
    );
    return InkWell(
      splashColor: Colors.transparent,
      onTap: onChanged,
      child: Padding(
        padding: padding ?? EdgeInsets.symmetric(vertical: scale(14)),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: crossAxisAlignment ?? CrossAxisAlignment.center,
          children: [
            Image(
              fit: BoxFit.contain,
              width: scale(20),
              height: scale(20),
              image: AssetImage(
                (value == true) ? 'assets/images/common/check.png' : 'assets/images/common/checkbox_inactive.png',
              ),
            ),
            SizedBox(width: scale(8)),
            Expanded(
              child: Text(label ?? '', style: style ?? labelStyle),
            ),
            // Text(label ?? '', style: style ?? labelStyle),
          ],
        ),
      ),
    );
  }
}
