// ignore_for_file: file_names

import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/palette.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class ErrorCard extends StatelessWidget {
  final String body;
  final double? fontSize;
  final EdgeInsets? padding;
  final EdgeInsets? margin;

  const ErrorCard({
    super.key,
    required this.body,
    this.fontSize,
    this.padding,
    this.margin,
  });

  @override
  Widget build(BuildContext context) {
    final errorStyle = TextStyle(
      fontSize: scale(fontSize ?? 14),
      fontWeight: FontWeight.w400,
      color: context.theme.appColors.primary,
      height: 20 / 14,
      letterSpacing: -.5,
      decoration: TextDecoration.none,
    );
    return (body != '')
        ? Container(
            margin: margin ?? EdgeInsets.only(top: scale(24)),
            padding: padding ?? EdgeInsets.all(scale(12)),
            decoration: BoxDecoration(
              color: hexToColor('#FF0E20').withOpacity(.04),
              border: Border.all(color: context.theme.appColors.primary, width: scale(1)),
              borderRadius: BorderRadius.circular(scale(8)),
            ),
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                SvgPicture.asset(
                  'assets/images/common/error.svg',
                  width: scale(20),
                  fit: BoxFit.contain,
                ),
                SizedBox(width: scale(8)),
                Expanded(child: Text(body, style: errorStyle)),
              ],
            ),
          )
        : const SizedBox.shrink();
  }
}
