import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/material.dart';

class RadioButton extends StatelessWidget {
  final bool isActive;

  const RadioButton({
    super.key,
    required this.isActive,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      height: scale(20),
      width: scale(20),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(scale(20)),
        color: isActive ? Colors.transparent : context.theme.appColors.grey100,
        border: Border.all(
          color: isActive ? context.theme.appColors.primary : context.theme.appColors.grey300,
          width: scale(1),
        ),
      ),
      alignment: Alignment.center,
      child: isActive
          ? Container(
              height: scale(8),
              width: scale(8),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(scale(4)),
                color: context.theme.appColors.primary,
              ),
            )
          : const SizedBox.shrink(),
    );
  }
}
