import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class CustomSnackBar extends StatelessWidget {
  final String message;
  final Color backgroundColor;
  final double bottomMargin;

  CustomSnackBar({
    required this.message,
    required this.backgroundColor,
    this.bottomMargin = 85, //margin aar awdag
  });

  void show(BuildContext context) {
    ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        duration: Duration(seconds: 1),
        backgroundColor: backgroundColor,
        behavior: SnackBarBehavior.floating,
        margin: EdgeInsets.fromLTRB(
          scale(24),
          scale(0.0),
          scale(24),
          scale(bottomMargin),
        ),
        content: Container(
          child: Center(
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SvgPicture.asset(
                  'assets/images/contracts/icon-verify-green.svg',
                  colorFilter: ColorFilter.mode(context.theme.appColors.white, BlendMode.srcIn),
                  fit: BoxFit.contain,
                  width: scale(20),
                ),
                SizedBox(width: scale(8)),
                Expanded(
                  child: Text(
                    message,
                    style: TextStyle(
                      color: Colors.white,
                      fontSize: scale(14),
                      fontWeight: FontWeight.w400,
                      letterSpacing: -0.112,
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
